#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/usky_cloud_20240222.sql ./mysql/db
cp ../sql/usky_config.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../ruoyi-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy ruoyi-gateway "
cp ../base-components/gateway/target/gateway.jar ./ruoyi/gateway/jar

echo "begin copy ruoyi-monitor "
cp ../base-components/monitor/target/monitor.jar  ./ruoyi/visual/monitor/jar


echo "begin copy ruoyi-modules-system "
cp ../base-modules/service-system/service-system-biz/target/service-system-biz.jar ./ruoyi/modules/system/jar

echo "begin copy ruoyi-modules-file "
cp ../base-modules/service-file/target/service-file.jar ./ruoyi/modules/file/jar

echo "begin copy ruoyi-modules-job "
cp ../base-modules/service-job/target/service-job.jar ./ruoyi/modules/job/jar

echo "begin copy ruoyi-modules-gen "
cp ../base-modules/service-gen/target/service-gen.jar ./ruoyi/modules/gen/jar

